Create a time-off

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Team members can apply for time off while keeping the project team informed to ensure the project's progress remains unaffected. This allows team members to take time off without hindering ongoing project activities. Using the Create a time-off API, you can also create a time-off for team members, which returns the created time-off object.

📘

When a user requests time off, the system will automatically determine the time off duration by excluding any holidays and weekends within the requested date range. Holidays are identified from the user's holiday calendar, ensuring that only regular working days are counted as time off.

To customise the response, utilise the includeFields parameter, and it will return the created time-off in the response body.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

Body Params
user
object
required

The time-off user.

string

The note or comment about the time-off.

string
required

The time-off start date. The format for the start date is YYYY-MM-DD.

string
required

The time-off end date. The endDate must be on or after the startDate, formatted as YYYY-MM-DD.

string
enum
required

The type of the time-off.

Allowed:
notifyUsers
object

Users to notify about your time off.

int32
≥ 1

The duration of time off is determined by the type selected: if the time off type is CUSTOM, the durationInMinutes field is required.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json